from distutils.core import setup
from setuptools import find_packages


authors = [
    ("Benjamin Smedberg", "benjamin@smedbergs.us"),
    ("Clinton Collins", "ccollins@idmod.org")
]

setup(
    author=[author[0] for author in authors],
    author_email=[author[1] for author in authors],
    classifiers=[
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
    ],
    description="Mostly GNU Make compatible make",
    include_package_data=True,
    keywords='build_tools',
    name='mozilla_pymake',
    packages=find_packages(exclude=["tests"]),
    test_suite='tests',
    entry_points={"console_scripts": ["pymake=mozilla_pymake.make:main", "mozilla-pymake=mozilla_pymake.make:main"]},
    url='https://github.com/InstituteforDiseaseModeling/mozilla-pymake',
    version='1.0.0'
)
